MilterSyslogLogger
3
milter managerライブラリ

# MilterSyslogLogger

## Functions

MilterSyslogLogger * | milter_syslog_logger_new ()
MilterLogLevelFlags | milter_syslog_logger_get_target_level ()
void | milter_syslog_logger_set_target_level ()
gboolean | milter_syslog_logger_set_target_level_by_string ()

## プロパティ

gchar * | facility | Read / Write / Construct
gchar * | identity | Read / Write / Construct
MilterLogLevelFlags | target-level | Read / Write

## オブジェクト階層

        GObject
        ╰── MilterSyslogLogger

## 説明

## Functions

### milter_syslog_logger_new ()

    MilterSyslogLogger *
    milter_syslog_logger_new (const gchar *identity,
                              const gchar *facility);

### milter_syslog_logger_get_target_level ()

    MilterLogLevelFlags
    milter_syslog_logger_get_target_level (MilterSyslogLogger *logger);

### milter_syslog_logger_set_target_level ()

    void
    milter_syslog_logger_set_target_level (MilterSyslogLogger *logger,
                                           MilterLogLevelFlags level);

### milter_syslog_logger_set_target_level_by_string ()

    gboolean
    milter_syslog_logger_set_target_level_by_string
                                   (MilterSyslogLogger *logger,
                                    const gchar *level_name,
                                    GError **error);

## Types and Values

## プロパティ詳細

### The `“facility”` property

      “facility”                 gchar *

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“identity”` property

      “identity”                 gchar *

The identity of syslog.

Flags: Read / Write / Construct

デフォルト値: NULL

### The `“target-level”` property

      “target-level”             MilterLogLevelFlags

The target log level.

Flags: Read / Write